Subject: Re: [PATCH] rebase -i continue: Don't skip submodule only commits

From: Jens Lehmann <[email-masked]>
Date: Wed, 11 Apr 2012 20:23:16 +0200

Am 10.04.2012 00:09, schrieb Junio C Hamano:
> John Keeping <[email-masked]> writes:
> 
>> When git-rebase--interactive stops due to a conflict and the only change
>> to be committed is in a submodule, the test for whether there is
>> anything to be committed ignores the staged submodule change.  This
>> leads rebase to skip creating the commit for the change.
>>
>> While unstaged submodule changes should be ignored to avoid needing to
>> update submodules during a rebase, it is safe to remove the
>> --ignore-submodules option to diff-index because --cached ensures that
>> it is only checking the index.  This was discussed in [1] and a test is
>> included to ensure that unstaged changes are still ignored correctly.
>>
>> [1] http://thread.gmane.org/gmane.comp.version-control.git/188713
>>
>> Signed-off-by: John Keeping <[email-masked]>
>> ---
> 
> Very well explained and sensible.

An obvious Ack from me and many thanks to John for providing the test
cases I didn't find the time to write!